Bug 2272811 (CVE-2024-26671) - CVE-2024-26671 kernel: blk-mq: fix IO hang from sbitmap wakeup race
Summary: CVE-2024-26671 kernel: blk-mq: fix IO hang from sbitmap wakeup race
Keywords:
Status: NEW
Alias: CVE-2024-26671
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2272812
Blocks: 2272924
TreeView+ depends on / blocked
 
Reported: 2024-04-02 23:36 UTC by Mauro Matteo Cascella
Modified: 2024-06-17 12:42 UTC (History)
50 users (show)

Fixed In Version: kernel 4.19.307, kernel 5.4.269, kernel 5.10.210, kernel 5.15.149, kernel 6.1.77, kernel 6.6.16, kernel 6.7.4, kernel 6.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2024:2950 0 None None None 2024-05-22 09:14:02 UTC
Red Hat Product Errata RHSA-2024:3138 0 None None None 2024-05-22 09:53:18 UTC

Description Mauro Matteo Cascella 2024-04-02 23:36:54 UTC
In the Linux kernel, the following vulnerability has been resolved:

blk-mq: fix IO hang from sbitmap wakeup race

The Linux kernel CVE team has assigned CVE-2024-26671 to this issue.

Upstream advisory:
https://lore.kernel.org/linux-cve-announce/2024040219-CVE-2024-26671-2543@gregkh/T

Comment 2 Mauro Matteo Cascella 2024-04-02 23:37:37 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2272812]

Comment 6 Justin M. Forbes 2024-04-03 16:40:35 UTC
This was fixed for Fedora with the 6.7.4 stable kernel updates.

Comment 7 errata-xmlrpc 2024-05-22 09:13:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2024:2950 https://access.redhat.com/errata/RHSA-2024:2950

Comment 8 errata-xmlrpc 2024-05-22 09:53:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2024:3138 https://access.redhat.com/errata/RHSA-2024:3138

Comment 9 Alex 2024-06-09 16:02:19 UTC
The result of automatic check (that is developed by Alexander Larkin) for this CVE-2024-26671 is: CHECK	Maybe valid. Check manually. with impact MODERATE (that is an approximation based on flags RACE  ; these flags parsed automatically based on patch data). Such automatic check happens only for Low/Moderates (and only when not from reporter, but parsing already existing CVE). Highs always checked manually (I check it myself and then we check it again in Remediation team). In rare cases some of the Moderates could be increased to High later.


Note You need to log in before you can comment on or make changes to this bug.